uniform sampler2D alphaTex;
uniform sampler2D tex1;
uniform sampler2D tex2;
varying highp vec2 interpTexcoord;
varying highp vec2 scaledTexcoord;
varying highp vec2 offsetScaledTexcoord;

void main()
{
	lowp vec4 alpha = texture2D(alphaTex,interpTexcoord);
	lowp vec4 tex1v = texture2D(tex1, scaledTexcoord);
	lowp vec4 tex2v = texture2D(tex2, offsetScaledTexcoord);
	lowp vec4 white = vec4(1.0,1.0,1.0,1.0);
	gl_FragColor = vec4(mix(tex1v,tex2v,alpha.a).xyz, 0.0);
}
