attribute vec4 position;
attribute vec2 texcoord;

uniform mat4 mvp;
uniform vec2 texScale;
uniform vec2 texOffset;
varying vec2 interpTexcoord;
varying vec2 scaledTexcoord;
varying vec2 offsetScaledTexcoord;

void main()
{
    gl_Position = mvp * position;
    interpTexcoord = texcoord;
    scaledTexcoord = texcoord * 30.0;
    offsetScaledTexcoord = ((texcoord - vec2(0.5, 0.5)) * texScale + texOffset) * 30.0;
}
