attribute vec4 position;
attribute vec3 normal;
attribute vec2 texcoord;
attribute vec4 color;

uniform mat4 mvp;
uniform mat3 normalMatrix;
uniform mat4 modelViewMatrix;
uniform vec3 multColor;
uniform vec3 lightDir;
uniform bool enableLighting;
uniform vec3 materialColor;

varying vec2 interpTexcoord;
varying vec3 vColor;
varying float z;

void main()
{
	vec3 vNormal = normalMatrix*normal;
	gl_Position = mvp * position;
	
	interpTexcoord = texcoord;
	vColor = multColor;
}
