uniform lowp sampler2D tex0;

varying highp vec2 smoothedTexcoord;
varying highp vec2 rTexcoord;
varying highp vec2 tTexcoord;

void main()
{
	lowp vec4 t = texture2D(tex0, tTexcoord);
	lowp vec4 r = texture2D(tex0, rTexcoord);
	lowp vec4 c = texture2D(tex0, smoothedTexcoord);
	
	if (t.w != c.w || r.w != c.w) {
		gl_FragColor = vec4(0.0, 0.0, 0.0, 1.0);
	} else {
		gl_FragColor = vec4(c.xyz, 1.0); 
	}	
}

