attribute vec2 position;
attribute vec2 texcoord;

uniform vec2 pixelSize;
uniform mat3 projMatrix;

varying vec2 smoothedTexcoord;
varying vec2 rTexcoord;
varying vec2 tTexcoord;

void main()
{
    gl_Position = vec4(projMatrix*vec3(position,1.0),1.0);
    smoothedTexcoord = texcoord;
    rTexcoord = texcoord + vec2(pixelSize.x, 0.0);
    tTexcoord = texcoord + vec2(0.0, pixelSize.y);
}
